Issue 82994 - sot: corrupt .xls causes infinite recursion
Summary: sot: corrupt .xls causes infinite recursion
Status: CLOSED FIXED
Alias: None
Product: utilities
Classification: Unclassified
Component: code (show other issues)
Version: 680m234
Hardware: All Linux, all
: P3 Trivial (vote)
Target Milestone: OOo 2.4
Assignee: thorsten.martens
QA Contact: Unknown
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-26 10:17 UTC by caolanm
Modified: 2009-05-04 10:54 UTC (History)
1 user (show)

See Also:
Issue Type: PATCH
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
.xls file (264.50 KB, application/vnd.ms-excel)
2007-10-26 10:18 UTC, caolanm
no flags Details
patch to avoid (1.49 KB, patch)
2007-10-26 10:18 UTC, caolanm
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description caolanm 2007-10-26 10:17:59 UTC
Attached is a corrupt .xls which when opened recursed to death, also attached is
a perhaps plausible patch
Comment 1 caolanm 2007-10-26 10:18:32 UTC
Created attachment 49175 [details]
.xls file
Comment 2 caolanm 2007-10-26 10:18:51 UTC
Created attachment 49176 [details]
patch to avoid
Comment 3 mikhail.voytenko 2007-10-29 07:35:00 UTC
The patch seems to look good, except the debug printing ;)
Is integrated into cws fwk77.
Comment 4 mikhail.voytenko 2007-11-08 11:00:06 UTC
Adjusting the target.
Comment 5 mikhail.voytenko 2007-12-05 16:47:04 UTC
Please verify the issue.
Comment 6 thorsten.martens 2007-12-13 09:46:53 UTC
Checked and verified in cws fwk77 -> OK !
Comment 7 thorsten.martens 2009-05-04 10:54:31 UTC
closed